Summary: Peter Soos's ISO-8859-1 Type-1 fonts
Name: spfonts-l1
Version: 0.04
Release: 5
Copyright: non-free
Group: X11/fonts
BuildArchitectures: noarch
Source0: ftp.osb.hu:/pub/misc/fonts/local/latin-1/l1pfb004.zip
Source1: ftp.osb.hu:/pub/misc/fonts/local/latin-1/README.L1
Source2: ftp.osb.hu:/pub/misc/fonts/local/latin-1/OLVASSEL.L1
BuildRoot: /var/tmp/spfonts-l1-root
PreReq: /bin/grep /usr/bin/gawk

%changelog

* Mon Jul 13 1998 Peter Soos <sp@osb.hu>
- Corrected the permissions of document directory

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>
- Using %attr to build the package as an ordinary user.

* Tue Dec 12 1997 Peter Soos <sp@osb.hu>
- Moved to noarc architecture
- Now we use BuildRoot

%description
These fonts are Microsoft Arial, Courier New and Times New Roman fonts in Type-1 format created by Peter Soos <sp@osb.hu>

%prep
%setup -c -T
unzip $RPM_SOURCE_DIR/l1pfb004.zip

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/Type1
install *.pfb $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/Type1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /usr/X11R6/lib/X11/fonts/Type1/fonts.scale ] ; then
	mkdir -p /usr/X11R6/lib/X11/fonts/Type1;
	touch /usr/X11R6/lib/X11/fonts/Type1/fonts.scale
fi
grep -v "SP-.*-1$" /usr/X11R6/lib/X11/fonts/Type1/fonts.scale > /usr/X11R6/lib/X11/fonts/Type1/fonts.work
cat << EOF >> /usr/X11R6/lib/X11/fonts/Type1/fonts.work
ar______.pfb -SP-arial-medium-r-normal--0-0-0-0-p-0-iso8859-1
arb_____.pfb -SP-arial-bold-r-normal--0-0-0-0-p-0-iso8859-1
arbi____.pfb -SP-arial-bold-i-normal--0-0-0-0-p-0-iso8859-1
ari_____.pfb -SP-arial-medium-i-normal--0-0-0-0-p-0-iso8859-1
cn______.pfb -SP-courier new-medium-r-normal--0-0-0-0-m-0-iso8859-1
cnb_____.pfb -SP-courier new-bold-r-normal--0-0-0-0-m-0-iso8859-1
cnbi____.pfb -SP-courier new-bold-i-normal--0-0-0-0-m-0-iso8859-1
cni_____.pfb -SP-courier new-medium-i-normal--0-0-0-0-m-0-iso8859-1
tnr_____.pfb -SP-times new roman-medium-r-normal--0-0-0-0-p-0-iso8859-1
tnrb____.pfb -SP-times new roman-bold-r-normal--0-0-0-0-p-0-iso8859-1
tnrbi___.pfb -SP-times new roman-bold-i-normal--0-0-0-0-p-0-iso8859-1
tnri____.pfb -SP-times new roman-medium-i-normal--0-0-0-0-p-0-iso8859-1
EOF
gawk '{print(FNR==1)?$1+12:$0}' < /usr/X11R6/lib/X11/fonts/Type1/fonts.work > /usr/X11R6/lib/X11/fonts/Type1/fonts.scale
rm -f /usr/X11R6/lib/X11/fonts/Type1/fonts.work
mkfontdir /usr/X11R6/lib/X11/fonts/Type1

%postun
grep -v "SP-.*-1$" /usr/X11R6/lib/X11/fonts/Type1/fonts.scale > /usr/X11R6/lib/X11/fonts/Type1/fonts.work
gawk '{print(FNR==1)?$1-12:$0}' < /usr/X11R6/lib/X11/fonts/Type1/fonts.work > /usr/X11R6/lib/X11/fonts/Type1/fonts.scale
rm -f /usr/X11R6/lib/X11/fonts/Type1/fonts.work
mkfontdir /usr/X11R6/lib/X11/fonts/Type1

%files
%attr(-, root, root) %doc $RPM_SOURCE_DIR/README.L1 $RPM_SOURCE_DIR/OLVASSEL.L1
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/ar______.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/arb_____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/arbi____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/ari_____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/cn______.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/cnb_____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/cnbi____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/cni_____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/tnr_____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/tnrb____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/tnrbi___.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/Type1/tnri____.pfb
